Main Page Widgets Namespaces Book

# Glib::SignalProxy1< R, P1 > Class Template Reference

Inheritance diagram for Glib::SignalProxy1< R, P1 >:

[legend]
List of all members.

## Detailed Description

### template <class R, class P1>
class Glib::SignalProxy1< R, P1 >

Proxy for signals with 1 arguments.

Use the connect() method, with SigC::slot() to connect signals to signal handlers.

## Public Types
typedef SigC::Slot1<R, P1> | SlotType
typedef SigC::Slot1< void, P1 > | VoidSlotType
## Public Member Functions
| SignalProxy1 (ObjectBase* obj, const SignalProxyInfo* info)
SigC::Connection | connect (const SlotType& slot, bool after=true)
SigC::Connection | connect_notify (const VoidSlotType& slot, bool after=false)

## Member Typedef Documentation

template <class R, class P1>
typedef SigC::Slot1<R,P1> Glib::SignalProxy1<R, P1>::SlotType

template <class R, class P1>
typedef SigC::Slot1<void,P1> Glib::SignalProxy1<R, P1>::VoidSlotType

## Constructor & Destructor Documentation

template <class R, class P1>
Glib::SignalProxy1<R, P1>::SignalProxy1 | ( | ObjectBase* | obj,
|  | const SignalProxyInfo* | info
| ) | `[inline]`

## Member Function Documentation

template <class R, class P1>
SigC::Connection Glib::SignalProxy1<R, P1>::connect | ( | const SlotType& | slot,
|  | bool | after = true
| ) | `[inline]`

template <class R, class P1>
SigC::Connection Glib::SignalProxy1<R, P1>::connect_notify | ( | const VoidSlotType& | slot,
|  | bool | after = false
| ) | `[inline]`

The documentation for this class was generated from the following file:

- signalproxy.h